Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039198
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-08-30 09:532019-01-03 15:27
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision100f31ae94a6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0039198: Duplicated transaction related with Physical Inventory Line as it is not processed when launching Count from Front End

DescriptionDuplicated transaction related with Physical Inventory Line as it is not processed when launching Count from Front End
Steps To ReproduceNote: with AWO sampledata applied

In the backend:
   Create a new product

In the front end (web/org.openbravo.warehouse.advancedwarehouseoperations):
   Select Count from menu for AWOWhseConfigChk001 bin
   Add a product
   Look for the previously created product
   Set a Quantity of 20
   Confirm
   Set a Quantity of 20
   Confirm

In the backend:
   Check the physical inventory is not processed but the related transaction already exists
   Process Inventory Count
   Check two transactions have been created and stock has been also duplicated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106589)
markmm82 (developer)
2018-09-04 00:15

Test Plan:
Note: with AWO sampledata applied

In the backend:
   Create a new product

In the front end (web/org.openbravo.warehouse.advancedwarehouseoperations):
   Select Count from menu for AWOWhseConfigChk001 bin
   Add a product
   Look for the previously created product
   Set a Quantity of 20
   Confirm
   Set a Quantity of 20
   Confirm

In the backend:
   Check the physical inventory is processed and the related transaction already exists (there is only one)
   Check that stock is the right also
(0106795)
hgbot (developer)
2018-09-17 08:58

Repository: erp/devel/pi
Changeset: 100f31ae94a6beb8b62d0d35dda8a39b39d58865
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Sep 03 18:10:44 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/100f31ae94a6beb8b62d0d35dda8a39b39d58865 [^]

Fixes issue 39198: Duplicated transaction related with Physical Inventory Line
as it is not processed when launching Count from Front End

Was needed a flush after the inventory is processed to persist into the database
and avoid create an incorrect duplicated transaction related to the processing
inventory line.

---
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0106796)
Sandrahuguet (developer)
2018-09-17 08:59

Code review + testing OK
(0106801)
hudsonbot (developer)
2018-09-17 13:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/56bd6ede090b [^]
Maturity status: Test
(0108816)
ngarcia (developer)
2019-01-03 15:27

Solved in 18Q4

- Issue History
Date Modified Username Field Change
2018-08-30 09:53 ngarcia New Issue
2018-08-30 09:53 ngarcia Assigned To => dmiguelez
2018-08-30 09:54 ngarcia Issue Monitored: ngarcia
2018-08-30 11:46 martinsdan Issue Monitored: martinsdan
2018-08-31 14:35 Sandrahuguet Assigned To dmiguelez => markmm82
2018-08-31 15:43 markmm82 Status new => scheduled
2018-09-04 00:15 markmm82 Note Added: 0106589
2018-09-17 08:58 hgbot Checkin
2018-09-17 08:58 hgbot Note Added: 0106795
2018-09-17 08:58 hgbot Status scheduled => resolved
2018-09-17 08:58 hgbot Resolution open => fixed
2018-09-17 08:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/100f31ae94a6beb8b62d0d35dda8a39b39d58865 [^]
2018-09-17 08:59 Sandrahuguet Review Assigned To => Sandrahuguet
2018-09-17 08:59 Sandrahuguet Note Added: 0106796
2018-09-17 08:59 Sandrahuguet Status resolved => closed
2018-09-17 13:08 hudsonbot Checkin
2018-09-17 13:08 hudsonbot Note Added: 0106801
2019-01-03 15:27 ngarcia Note Added: 0108816


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker